com.lowagie.text.pdf

## Class PatternColor

- java.lang.Object
- - java.awt.Color
  - - com.lowagie.text.pdf.ExtendedColor
    - - com.lowagie.text.pdf.PatternColor

- All Implemented Interfaces:
    java.awt.Paint, java.awt.Transparency, java.io.Serializable

      public class PatternColor
      extends ExtendedColor

  Represents a pattern. Can be used in high-level constructs (Paragraph, Cell, etc.).
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) PdfPatternPainter` | `painter` The actual pattern.
    `private static long` | `serialVersionUID`

    - ### Fields inherited from class com.lowagie.text.pdf.ExtendedColor

      `type, TYPE_CMYK, TYPE_GRAY, TYPE_PATTERN, TYPE_RGB, TYPE_SEPARATION, TYPE_SHADING`

    - ### Fields inherited from class java.awt.Color

      `black, BLACK, blue, BLUE, cyan, CYAN, DARK_GRAY, darkGray, gray, GRAY, green, GREEN, LIGHT_GRAY, lightGray, magenta, MAGENTA, orange, ORANGE, pink, PINK, red, RED, white, WHITE, yellow, YELLOW`

    - ### Fields inherited from interface java.awt.Transparency

      `BITMASK, OPAQUE, TRANSLUCENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternColor(PdfPatternPainter painter)` Creates a color representing a pattern.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `PdfPatternPainter` | `getPainter()` Gets the pattern.
    `int` | `hashCode()`

    - ### Methods inherited from class com.lowagie.text.pdf.ExtendedColor

      `getType, getType, normalize`

    - ### Methods inherited from class java.awt.Color

      `brighter, createContext, darker, decode, getAlpha, getBlue, getColor, getColor, getColor, getColorComponents, getColorComponents, getColorSpace, getComponents, getComponents, getGreen, getHSBColor, getRed, getRGB, getRGBColorComponents, getRGBComponents, getTransparency, HSBtoRGB, RGBtoHSB, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### painter

          PdfPatternPainter painter

      The actual pattern.

  - ### Constructor Detail

    - #### PatternColor

          public PatternColor(PdfPatternPainter painter)

      Creates a color representing a pattern.
      Parameters:
        `painter` - the actual pattern

  - ### Method Detail

    - #### getPainter

          public PdfPatternPainter getPainter()

      Gets the pattern.
      Returns:
        the pattern

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.awt.Color`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.awt.Color`